package com.ximai.mes.dv.domain.devBrandQuotation;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ximai.common.annotation.Excel;
import com.ximai.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 dev_brand_quotation_bom
 *
 * @author yinjinlu
 * @date 2024-01-25
 */
public class DvBrandQuotationBom extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long bomItemId;

    /** 品牌报价单ID */
    @Excel(name = "品牌报价单ID")
    private Long brandQuotationId;

    /** 产品ID */
    @Excel(name = "产品ID")
    private Long itemId;

    /** 组件数量 */
    @Excel(name = "组件数量")
    private Long quantity;

    /** 计量单位 */
    @Excel(name = "计量单位")
    private String unitOfMeasure;

    /** 报废百分比 */
    @Excel(name = "报废百分比")
    private Long scrapPercentage;

    /** 替代组 */
    @Excel(name = "替代组")
    private String alternativeGroup;

    /** 替代优先级 */
    @Excel(name = "替代优先级")
    private Long alternativePriorities;

    /** 策略 */
    @Excel(name = "策略")
    private String alternativeStrategy;

    /** 使用概率 */
    @Excel(name = "使用概率")
    private Long alternativeProbability;

    /** BOM行备注 */
    @Excel(name = "BOM行备注")
    private String bomItemRemark;

    /** 物料备注 */
    @Excel(name = "物料备注")
    private String itemRemark;

    public void setBomItemId(Long bomItemId)
    {
        this.bomItemId = bomItemId;
    }

    public Long getBomItemId()
    {
        return bomItemId;
    }
    public void setBrandQuotationId(Long brandQuotationId)
    {
        this.brandQuotationId = brandQuotationId;
    }

    public Long getBrandQuotationId()
    {
        return brandQuotationId;
    }
    public void setItemId(Long itemId)
    {
        this.itemId = itemId;
    }

    public Long getItemId()
    {
        return itemId;
    }
    public void setQuantity(Long quantity)
    {
        this.quantity = quantity;
    }

    public Long getQuantity()
    {
        return quantity;
    }
    public void setUnitOfMeasure(String unitOfMeasure)
    {
        this.unitOfMeasure = unitOfMeasure;
    }

    public String getUnitOfMeasure()
    {
        return unitOfMeasure;
    }
    public void setScrapPercentage(Long scrapPercentage)
    {
        this.scrapPercentage = scrapPercentage;
    }

    public Long getScrapPercentage()
    {
        return scrapPercentage;
    }
    public void setAlternativeGroup(String alternativeGroup)
    {
        this.alternativeGroup = alternativeGroup;
    }

    public String getAlternativeGroup()
    {
        return alternativeGroup;
    }
    public void setAlternativePriorities(Long alternativePriorities)
    {
        this.alternativePriorities = alternativePriorities;
    }

    public Long getAlternativePriorities()
    {
        return alternativePriorities;
    }
    public void setAlternativeStrategy(String alternativeStrategy)
    {
        this.alternativeStrategy = alternativeStrategy;
    }

    public String getAlternativeStrategy()
    {
        return alternativeStrategy;
    }
    public void setAlternativeProbability(Long alternativeProbability)
    {
        this.alternativeProbability = alternativeProbability;
    }

    public Long getAlternativeProbability()
    {
        return alternativeProbability;
    }
    public void setBomItemRemark(String bomItemRemark)
    {
        this.bomItemRemark = bomItemRemark;
    }

    public String getBomItemRemark()
    {
        return bomItemRemark;
    }
    public void setItemRemark(String itemRemark)
    {
        this.itemRemark = itemRemark;
    }

    public String getItemRemark()
    {
        return itemRemark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("bomItemId", getBomItemId())
            .append("brandQuotationId", getBrandQuotationId())
            .append("itemId", getItemId())
            .append("quantity", getQuantity())
            .append("unitOfMeasure", getUnitOfMeasure())
            .append("scrapPercentage", getScrapPercentage())
            .append("alternativeGroup", getAlternativeGroup())
            .append("alternativePriorities", getAlternativePriorities())
            .append("alternativeStrategy", getAlternativeStrategy())
            .append("alternativeProbability", getAlternativeProbability())
            .append("bomItemRemark", getBomItemRemark())
            .append("itemRemark", getItemRemark())
            .toString();
    }
}
